WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::com_initializer Class Reference
COM Object Management

Context scope automatic COM (un)initialization. More...

`#include <WinStd/COM.h>`

## Public Member Functions
| com_initializer (LPVOID pvReserved)
| Initializes the COM library on the current thread and identifies the concurrency model as single-thread apartment (STA).
| com_initializer (LPVOID pvReserved, DWORD dwCoInit)
| Initializes the COM library for use by the calling thread, sets the thread's concurrency model, and creates a new apartment for the thread if one is required.
virtual | ~com_initializer ()
| Uninitializes COM.

## Detailed Description

Context scope automatic COM (un)initialization.

## Constructor & Destructor Documentation

## ◆ com_initializer() [1/2]

winstd::com_initializer::com_initializer | ( | LPVOID | pvReserved | ) |
| inline

Initializes the COM library on the current thread and identifies the concurrency model as single-thread apartment (STA).

See also
  CoInitialize function

## ◆ com_initializer() [2/2]

winstd::com_initializer::com_initializer | ( | LPVOID | pvReserved,
|  | DWORD | dwCoInit )
| inline

Initializes the COM library for use by the calling thread, sets the thread's concurrency model, and creates a new apartment for the thread if one is required.

See also
  CoInitializeEx function

## ◆ ~com_initializer()

virtual winstd::com_initializer::~com_initializer | ( |  | ) |
| inline virtual

Uninitializes COM.

See also
  CoUninitialize function

The documentation for this class was generated from the following file:

- include/WinStd/COM.h